use glc::{matrix::Angle, vector::Vector2f};
use lazy_static::lazy_static;

/// Distance to orbit before ship is handled as "in orbit" in %
pub const SHIP_ORBIT_DISTANCE_MAX: f32 = 1.10;

/// Minimum angle between old and new target position in orbit
pub const SHIP_ORBIT_ANGLE_DELTA_MIN: Angle<f32> = Angle::Deg(7000.0);

/// Random angle between old and new target position in orbit
pub const SHIP_ORBIT_ANGLE_DELTA_RND: Angle<f32> = Angle::Deg(4000.0);

/// Agility of ships inside orbit
pub const SHIP_ORBIT_AGILITY: Angle<f32> = Angle::Deg(90.0);

lazy_static! {
    pub static ref VECTOR_2F_POS_X: Vector2f = Vector2f::new(1.0, 0.0);
}
